import React from 'react';
export declare function useClickOutside(fn: () => void, ref: any): void;
export interface IPropsDropDownOption {
    name: string | JSX.Element;
    value: any;
    disabled?: boolean;
}
export interface IPropsDropDown {
    open?: boolean;
    onChange?: (v: any) => void;
    Header?: any;
    options: IPropsDropDownOption[];
    onClick: (v: IPropsDropDownOption) => void;
    children?: any;
    hover?: boolean;
    placement?: 'auto' | 'auto-start' | 'auto-end' | 'top' | 'top-start' | 'top-end' | 'bottom' | 'bottom-start' | 'bottom-end' | 'right' | 'right-start' | 'right-end' | 'left' | 'left-start' | 'left-end';
}
export declare const Dropdown: React.FunctionComponent<IPropsDropDown>;
//# sourceMappingURL=Dropdown.d.ts.map